Bug 90754 - strace -f of OpenOffice.org hangs
strace -f of OpenOffice.org hangs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: strace (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-13 09:22 EDT by Michael Meeks
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-04 14:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Meeks 2003-05-13 09:22:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030502 Galeon/1.3.4

Description of problem:
It seems OO.o does a popen, (possibly of a non-existant binary), and this causes
'strace' to hang; NPTL not withstanding.

How reproducible: Always

to Reproduce simply do:
strace -f soffice, and wait a while.
Comment 1 Roland McGrath 2003-05-22 21:27:16 EDT
I assume the reporter meant "ooffice", not "soffice". :-)
I have reproduced this when using linuxthreads, but not when using nptl.
On my machine "LD_ASSUME_KERNEL=2.4.1 strace -f ooffice" reproduces it.
If the platform field in this report is accurate, then I think nptl will never
be used in the reporter's configuration anyway.

I'm looking into the problem.

Comment 2 Roland McGrath 2003-05-22 22:25:05 EDT
I have a fix now in the upstream sources.  FWIW, this was always broken in
strace I am pretty sure.  Perhaps scheduling happenstance made it start showing up.
The problem case is when a process has multiple live children, and then one
child exits and becomes a zombie, and then the parent calls wait*.
Comment 3 Michael Meeks 2003-05-23 03:58:13 EDT
Thanks so much for fixing this; I think you must be right, soffice is SO 6.0 on
my rh8 machine; my OO.o does no popen's so I suppose I daftly switched machine
to verify this.

Thanks again.
Comment 4 Roland McGrath 2003-06-04 14:54:10 EDT
A newer strace version is now available in rawhide.  If the binary rpms
don't work on existing systems, then recompiling from the srpm surely will.
There will be an errata release for 8.0 and 9 at some point as well,
not sure exactly when.

Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.